
    {if !empty($contentFilter)}
        <div id="neo-table-header-filterrow" class="neo-display-none">
            {$contentFilter}
        </div>
    {/if}

    {if !empty($arrFiltersControl)}
        <div class="neo-table-filter-controls">
            {foreach from=$arrFiltersControl key=k item=filterc name=filtersctrl}
                <div class="neo-filter-control">{$filterc.msg}&nbsp;
				{if $filterc.defaultFilter eq no}
					<a href="{$url}&name_delete_filters={$filterc.filters}"><img src='themes/elastixneo/images/bookmarks_equis.png' width="18" height="16" align='absmiddle' border="0" /></a>
				{/if}
				</div>
            {/foreach}
        </div>
    {/if}

    <div id="neo-table-ref-table">
        <table align="center" cellspacing="0" cellpadding="0" width="100%" id="neo-table1" >
            <tr class="neo-table-title-row" style="background-color:#003470"> <!-- El bg_color es para emular los colores del ccpro -->
                {section name=columnNum loop=$numColumns start=0 step=1}
                    {if $smarty.section.columnNum.first}
                        <td class="neo-table-title-row" style="background:none;"><font color="#ffffff">{$header[$smarty.section.columnNum.index].name}&nbsp;
			</font>
			</td>
                    {else}
                        <td class="neo-table-title-row"><font color="#ffffff">{$header[$smarty.section.columnNum.index].name}&nbsp;
			</font>
			</td>
                    {/if}
                {/section}
            </tr>
            {if $numData > 0}
                {foreach from=$arrData key=k item=data name=filas}
                {if $data.ctrl eq 'separator_line'}
                    <tr class="neo-table-data-row">
                        {if $data.start > 0}
                            <td class="neo-table-data-row" colspan="{$data.start}"></td>
                        {/if}
                        {assign var="data_start" value="`$data.start`"}
                        <td class="neo-table-data-row" colspan="{$numColumns-$data.start}" style='background-color:#AAAAAA;height:1px;'></td>
                    </tr>
                {else}
                    <tr class="neo-table-data-row">
                        {if $smarty.foreach.filas.last}
                            {section name=columnNum loop=$numColumns start=0 step=1}
                                <td class="neo-table-data-row table_data_last_row">{if $data[$smarty.section.columnNum.index] eq ''}&nbsp;{/if}{$data[$smarty.section.columnNum.index]}</td>
                            {/section}
                        {else}
                            {section name=columnNum loop=$numColumns start=0 step=1}
                                <td class="neo-table-data-row table_data">{if $data[$smarty.section.columnNum.index] eq ''}&nbsp;{/if}{$data[$smarty.section.columnNum.index]}</td>
                            {/section}
                        {/if}
                    </tr>
                {/if}
                {/foreach}
            {else}
                <tr class="neo-table-data-row">
                    <td class="neo-table-data-row table_data" colspan="{$numColumns}" align="center">{$NO_DATA_FOUND}</td>
                </tr>
            {/if}
            {if $numData > 3}
                <tr class="neo-table-title-row">
                    {section name=columnNum loop=$numColumns start=0 step=1}
                        {if $smarty.section.columnNum.first}
                            <td class="neo-table-title-row" style="background:none;">{$header[$smarty.section.columnNum.index].name}&nbsp;</td>
                        {else}
                            <td class="neo-table-title-row">{$header[$smarty.section.columnNum.index].name}&nbsp;</td>
                        {/if}
                    {/section}
                </tr>
            {/if}
        </table>
    </div>

    {if $numData > 3}
        <div class="neo-table-footer-row">
            <div class="neo-table-header-row-navigation">
                {if $pagingShow}
                    {if $start<=1}
                        <img src='images/table-arrow-first.gif' alt='{$lblStart}' align='absmiddle' border='0' width="16" height="16" style="opacity: 0.3;" />
                        <img src='images/table-arrow-previous.gif' alt='{$lblPrevious}' align='absmiddle' border='0' width="16" height="16" style="opacity: 0.3;" />
                    {else}
                        <a href="{$url}&nav=start&start={$start}"><img src='images/table-arrow-first.gif' alt='{$lblStart}' align='absmiddle' border='0' width='16' height='16' style="cursor: pointer" /></a>
                        <a href="{$url}&nav=previous&start={$start}"><img src='images/table-arrow-previous.gif' alt='{$lblPrevious}' align='absmiddle' border='0' width='16' height='16' style="cursor: pointer" /></a>
                    {/if}
                    &nbsp;{$lblPage}&nbsp;
                    <input  type=text  value="{$currentPage}" size="2" align="absmiddle" name="page" id="pagedown" />&nbsp;{$lblof}&nbsp;{$numPage}&nbsp;({$total}&nbsp;{$lblrecords})
                    {if $end==$total}
                        <img src='images/table-arrow-next.gif' alt='{$lblNext}' align='absmiddle' border='0' width="16" height="16" style="opacity: 0.3;" />
                        <img src='images/table-arrow-last.gif' alt='{$lblEnd}' align='absmiddle' border='0' width='16' height='16' style="opacity: 0.3;" />
                    {else}
                        <a href="{$url}&nav=next&start={$start}"><img src='images/table-arrow-next.gif' alt='{$lblNext}' align='absmiddle' border='0' width='16' height='16' style="cursor: pointer" /></a>
                        <a href="{$url}&nav=end&start={$start}"><img src='images/table-arrow-last.gif' alt='{$lblEnd}' align='absmiddle' border='0' width='16' height='16' style="cursor: pointer" /></a>
                    {/if}
                {/if}
            </div>
        </div>
    {/if}
<!-- </form> -->

{literal}
<script type="text/Javascript">
    $(function(){
        $("#neo-table1").colResizable({
            liveDrag:true,
            marginLeft:"1px",
            onDrag: onDrag
        });
    });

    var onDrag = function(){

    }

    $("[id^=page]").keyup(function(event) {
        var id  = $(this).attr("id");
        var val = $(this).val();

        if(id == "pageup")
            $("#pagedown").val(val);
        else if(id == "pagedown")
            $("#pageup").val(val);
    });

    //   $(document).ready(function(){
    //     $("#neo-combo-example-ringgroup, #neo-combo-example-fieldname, #neo-combo-example-status").kendoComboBox();
    //   });

    $("#neo-tabla-header-row-filter-1").click(function() {
{/literal}
    {if $AS_OPTION}
        var filter_show = "{$MORE_OPTIONS}";
        var filter_hide = "{$MORE_OPTIONS}";
    {else}
        var filter_show = "{$FILTER_GRID_SHOW}";
        var filter_hide = "{$FILTER_GRID_HIDE}";
    {/if}
{literal}

        if($("#neo-table-header-filterrow").data("neo-table-header-filterrow-status")=="visible") {
            $("#neo-table-header-filterrow").addClass("neo-display-none");
            $("#neo-tabla-img-arrow").attr("src","images/icon_arrowdown2.png");
            $("#neo-table-label-filter").text(filter_show);
            $("#neo-table-header-filterrow").data("neo-table-header-filterrow-status", "hidden");
            $("#neo-tabla-header-row-filter-1").removeClass("exportBackground");
        } else {
            $("#neo-table-header-filterrow").removeClass("neo-display-none");
            $("#neo-tabla-img-arrow").attr("src","images/icon_arrowup2.png");
            $("#neo-table-label-filter").text(filter_hide);
            $("#neo-table-header-filterrow").data("neo-table-header-filterrow-status", "visible");
            $("#neo-tabla-header-row-filter-1").addClass("exportBackground");
        }
    });
</script>
{/literal}
